Skip to content

List tenants

GET
/api/tenants
curl --request GET \
--url 'https://api.getvespy.com/api/tenants?sortBy=fullName&sortDirection=asc' \
--header 'Authorization: Bearer <token>'
search
string
>= 1 characters <= 100 characters
includeInactive
boolean
propertyId
string format: uuid
unitId
string format: uuid
createdAfter
string format: date
createdBefore
string format: date
sortBy
string
Allowed values: fullName email isActive createdAt
sortDirection
string
Allowed values: asc desc

Default Response

Media typeapplication/json
object
noteSummaries
required
Array<object>
object
entityId
required
string format: uuid
latestNote
required
object
body
required
string
>= 1 characters <= 4000 characters
createdAt
required
string format: date-time
visibility
required
string
Allowed values: organization_only tenant_shared vendor_shared tenant_vendor_shared
noteCount
required
integer
tenants
required
Array<object>
object
billingAddress
required
object
city
required
string
>= 1 characters <= 120 characters
country
required
string
>= 2 characters <= 2 characters
line1
required
string
>= 1 characters <= 160 characters
line2
string
nullable >= 1 characters <= 160 characters
postalCode
required
string
>= 1 characters <= 20 characters
state
required
string
>= 1 characters <= 80 characters
createdAt
required
string format: date-time
dbaName
required
string
nullable
deletedAt
required
string format: date-time
nullable
email
required
string format: email
nullable
emergencyContactName
required
string
nullable
emergencyContactPhone
required
string
nullable
emergencyContactRelationship
required
string
nullable
fullName
required
string
>= 1 characters <= 160 characters
id
required
string format: uuid
isActive
required
boolean
kind
required
string
Allowed values: person company
legalName
required
string
nullable
organizationId
required
string format: uuid
phone
required
string
nullable
preferredLanguage
required
string
>= 2 characters <= 32 characters
userId
required
string format: uuid
nullable
Example
{
"noteSummaries": [
{
"latestNote": {
"visibility": "organization_only"
}
}
],
"tenants": [
{
"kind": "person"
}
]
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}